import request from '@/utils/request'

// 查询院校专业分数线列表
export function listBusiWishUniversitySubmitMarjors(query) {
  return request({
    url: '/back/busiWishUniversitySubmitMarjors/list',
    method: 'get',
    params: query
  })
}

// 查询院校专业分数线详细
export function getBusiWishUniversitySubmitMarjors(id) {
  return request({
    url: '/back/busiWishUniversitySubmitMarjors/' + id,
    method: 'get'
  })
}

// 新增院校专业分数线
export function addBusiWishUniversitySubmitMarjors(data) {
  return request({
    url: '/back/busiWishUniversitySubmitMarjors',
    method: 'post',
    data: data
  })
}

// 修改院校专业分数线
export function updateBusiWishUniversitySubmitMarjors(data) {
  return request({
    url: '/back/busiWishUniversitySubmitMarjors',
    method: 'put',
    data: data
  })
}

// 删除院校专业分数线
export function delBusiWishUniversitySubmitMarjors(id) {
  return request({
    url: '/back/busiWishUniversitySubmitMarjors/' + id,
    method: 'delete'
  })
}

export function bindEnrollPlanMajor(data) {
  return request({
    url: '/back/busiWishUniversitySubmitMarjors/bindEnrollPlanMajor',
    method: 'post',
    data: data
  })
}
